com.io7m.jstructural.core

## Interface SFootnoteContentVisitor<A>

- Type Parameters:
    `A` - The type of values returned by the visitor

      public interface SFootnoteContentVisitor<A>

  Footnote content visitor.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `A` | `visitFootnote(SFootnote footnote)` Visit a footnote element.
    `A` | `visitImage(SImage image)` Visit an image element.
    `A` | `visitLink(SLink link)` Visit a link element.
    `A` | `visitLinkExternal(SLinkExternal link)` Visit a link element.
    `A` | `visitListOrdered(SListOrdered list)` Visit an ordered list element.
    `A` | `visitListUnordered(SListUnordered list)` Visit an unordered list element.
    `A` | `visitTerm(STerm term)` Visit a term element.
    `A` | `visitText(SText text)` Visit a text element.
    `A` | `visitVerbatim(SVerbatim text)` Visit a verbatim element.

- - ### Method Detail

    - #### visitFootnote

          A visitFootnote(@Nonnull
                        SFootnote footnote)
                          throws com.io7m.jaux.Constraints.ConstraintError,
                                 Exception

      Visit a footnote element.
      Parameters:
        `footnote` - The footnote element
      Returns:
        A value of type `A`
      Throws:
        `com.io7m.jaux.Constraints.ConstraintError` - If required
        `Exception` - If required

    - #### visitImage

          A visitImage(@Nonnull
                     SImage image)
                       throws com.io7m.jaux.Constraints.ConstraintError,
                              Exception

      Visit an image element.
      Parameters:
        `image` - The image element
      Returns:
        A value of type `A`
      Throws:
        `com.io7m.jaux.Constraints.ConstraintError` - If required
        `Exception` - If required

    - #### visitLink

          A visitLink(@Nonnull
                    SLink link)
                      throws com.io7m.jaux.Constraints.ConstraintError,
                             Exception

      Visit a link element.
      Parameters:
        `link` - The link element
      Returns:
        A value of type `A`
      Throws:
        `com.io7m.jaux.Constraints.ConstraintError` - If required
        `Exception` - If required

    - #### visitLinkExternal

          A visitLinkExternal(@Nonnull
                            SLinkExternal link)
                              throws com.io7m.jaux.Constraints.ConstraintError,
                                     Exception

      Visit a link element.
      Parameters:
        `link` - The link element
      Returns:
        A value of type `A`
      Throws:
        `com.io7m.jaux.Constraints.ConstraintError` - If required
        `Exception` - If required

    - #### visitListOrdered

          A visitListOrdered(@Nonnull
                           SListOrdered list)
                             throws com.io7m.jaux.Constraints.ConstraintError,
                                    Exception

      Visit an ordered list element.
      Parameters:
        `list` - The list element
      Returns:
        A value of type `A`
      Throws:
        `com.io7m.jaux.Constraints.ConstraintError` - If required
        `Exception` - If required

    - #### visitListUnordered

          A visitListUnordered(@Nonnull
                             SListUnordered list)
                               throws com.io7m.jaux.Constraints.ConstraintError,
                                      Exception

      Visit an unordered list element.
      Parameters:
        `list` - The list element
      Returns:
        A value of type `A`
      Throws:
        `com.io7m.jaux.Constraints.ConstraintError` - If required
        `Exception` - If required

    - #### visitTerm

          A visitTerm(@Nonnull
                    STerm term)
                      throws com.io7m.jaux.Constraints.ConstraintError,
                             Exception

      Visit a term element.
      Parameters:
        `term` - The term element
      Returns:
        A value of type `A`
      Throws:
        `com.io7m.jaux.Constraints.ConstraintError` - If required
        `Exception` - If required

    - #### visitText

          A visitText(@Nonnull
                    SText text)
                      throws com.io7m.jaux.Constraints.ConstraintError,
                             Exception

      Visit a text element.
      Parameters:
        `text` - The text element
      Returns:
        A value of type `A`
      Throws:
        `com.io7m.jaux.Constraints.ConstraintError` - If required
        `Exception` - If required

    - #### visitVerbatim

          A visitVerbatim(@Nonnull
                        SVerbatim text)
                          throws com.io7m.jaux.Constraints.ConstraintError,
                                 Exception

      Visit a verbatim element.
      Parameters:
        `text` - The verbatim element
      Returns:
        A value of type `A`
      Throws:
        `com.io7m.jaux.Constraints.ConstraintError` - If required
        `Exception` - If required

Copyright © 2014. All rights reserved.